Bug 216076 - wine places icons in ugly unthemed "Other" menu
wine places icons in ugly unthemed "Other" menu
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-11-17 00:19 EST by Nicholas Miell
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-19 18:03:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File needed to solve the problem (293 bytes, application/octet-stream)
2006-11-27 18:23 EST, Julian Sikorski
no flags Details

  None (edit)
Description Nicholas Miell 2006-11-17 00:19:11 EST
Description of problem:

The following desktop files:


list the non-existent "Wine" category and nothing else (useful), which leads to
their placement in the generic catch-all "Other" menu.

Notepad should probably be in the Accessories menu, the rest should probably be
in System Tools.
Comment 1 Julian Sikorski 2006-11-27 17:55:45 EST
It was intended to move these out. The fix was incomplete, though. Firstly,
WineMine should be moved away the Games category and moved to Wine. Secondly,
/etc/xdg/menus/applications.menu shall be patched (probably by %post) in such a
way that Wine submenu would be created and all this junk would be placed in there.
Comment 2 Julian Sikorski 2006-11-27 17:59:48 EST
Well, according to specs, /etc/xdg/menus/applications-merged shallbe used. More
info here: http://standards.freedesktop.org/menu-spec/latest/ar01s02.html
Comment 3 Julian Sikorski 2006-11-27 18:23:27 EST
Created attachment 142245 [details]
File needed to solve the problem

Placing this file in /etc/xdg/menus/applications-merged solves the problem. Now
you only need to change the WineMine category, and perhaps add the wine glass
icon to the new submenu. Good luck.
Comment 4 Nicholas Miell 2006-11-27 19:38:08 EST
Why aren't wine.menu, Wine.directory, and the wine icon in the wine package?
Comment 5 Andreas Bierfert 2006-11-28 07:21:14 EST
Thanks for you work and hints Julian I will add it to the wine package for the
next release.
Comment 6 Julian Sikorski 2006-11-28 13:13:23 EST
You're welcome. If you would like to add an icon for the submenu, Wine.directory
file (with contents similar to a desktop entry) shall be created and placed in
/usr/share/desktop-directories. I have found a tango wine glass icon somewhere,
but I think that a generic one should be shipped by default.

Note You need to log in before you can comment on or make changes to this bug.